Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: CPG 1.2 with PHP 4.3.10  (Read 2492 times)

0 Members and 1 Guest are viewing this topic.

ahsieh

  • Coppermine newbie
  • Offline Offline
  • Posts: 2
CPG 1.2 with PHP 4.3.10
« on: December 20, 2004, 08:08:02 pm »

I read there was some security issue with PHP and phpBB and the remedy was to upgrade PHP on my server to version 4.3.10.  So I did...  And then suddenly none of the CPG 1.2 I have installed on my servers work.  Is CGP 1.2 not compatible with PHP 4.3.10?  The error message is:

"Critical error: There was an error while processing a database query."

I am hardly an expert on all this stuff so I'd surely need some help!!!  (For anyone who can offer any assistance, FYI, I have installed the lastest b2evolution on the server and it, too, had stopped working.)

Can upgrading to the lastest CGP solve this?

Anyway, if this has been asked and answered, I apologize for repeating it.  Thanks in advance for your help!
Logged

kegobeer

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 4637
  • Beer - it does a body good!
    • The Kazebeer Family Website
Re: CPG 1.2 with PHP 4.3.10
« Reply #1 on: December 20, 2004, 08:39:23 pm »

You need to enable debug to display the actual error.  Coppermine works with any php verison 4.1.0 or greater.  You should upgrade to 1.3.2 but not until you determine what's causing your problems.  This is most likely a misconfiguration issue with your new version of php.
Logged
Do not send me a private message unless I ask for one.  Make your post public so everyone can benefit.

There are no stupid questions
But there are a LOT of inquisitive idiots

Nibbler

  • Guest
Re: CPG 1.2 with PHP 4.3.10
« Reply #2 on: December 20, 2004, 08:42:11 pm »

Already asked, already answered. Upgrade your zend optimizer to 2.5.7. Not a coppermine problem.
Logged
Pages: [1]   Go Up
 

Page created in 0.016 seconds with 18 queries.